package controllers

import (
	"log"
	"net/http"

	"github.com/gorilla/websocket"
)

type ws struct {
	conn *websocket.Conn
}

func Websocket(w http.ResponseWriter, r *http.Request) (*ws, error) {
	var ws ws
	var err error
	ws.conn, err = upgrader.Upgrade(w, r, nil)
	if err != nil {
		return nil, err
	}
	return &ws, nil
}
func (s ws) Write(d []byte) (int, error) {
	log.Println(d)
	return len(d), s.conn.WriteMessage(1, d)
}

func (s ws) Close() {
	s.conn.Close()
}
