package models

import (
	"github.com/docker/docker/client"
)

var cli *client.Client

func DockerApi() *client.Client {
	if cli == nil {
		var err error
		cli, err = client.NewClientWithOpts(client.FromEnv)
		if err != nil {
			panic(err)
		}
	}
	return cli
}
